Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.pipeline.controller
Interface PipelineConstants

All Known Implementing Classes:
  orapipe, PipeDocElement, PipelineDoc, PipelineProcessor, Process

public interface PipelineConstants

This interface contains all the static constants for pipeline.controller. All classes should implement this interface.

Field Summary
`static int` | `COMPSTREAMRESULT`
`static int` | `COMPSTREAMSOURCE`
`static int` | `DOCFRAG`
`static int` | `DOCUMENT`
`static int` | `DOMRESULT`
`static int` | `DOMSOURCE`
`static int` | `ELEMENT`
`static int` | `SAXRESULT`
`static int` | `SAXSOURCE`
`static int` | `STREAMRESULT`
`static int` | `STREAMSOURCE`

Field Detail

### DOMSOURCE

    public static final int DOMSOURCE

  See Also:
    Constant Field Values

### SAXSOURCE

    public static final int SAXSOURCE

  See Also:
    Constant Field Values

### STREAMSOURCE

    public static final int STREAMSOURCE

  See Also:
    Constant Field Values

### COMPSTREAMSOURCE

    public static final int COMPSTREAMSOURCE

  See Also:
    Constant Field Values

### DOMRESULT

    public static final int DOMRESULT

  See Also:
    Constant Field Values

### SAXRESULT

    public static final int SAXRESULT

  See Also:
    Constant Field Values

### STREAMRESULT

    public static final int STREAMRESULT

  See Also:
    Constant Field Values

### COMPSTREAMRESULT

    public static final int COMPSTREAMRESULT

  See Also:
    Constant Field Values

### DOCUMENT

    public static final int DOCUMENT

  See Also:
    Constant Field Values

### DOCFRAG

    public static final int DOCFRAG

  See Also:
    Constant Field Values

### ELEMENT

    public static final int ELEMENT

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.